### Hierarchy

- Tasks

## Index

### Constructors

- constructor

### Properties

- ped

### Methods

- achieveHeading
- aimAt
- arrest
- chaseWithGroundVehicle
- chaseWithHelicopter
- chaseWithPlane
- chatTo
- clearAll
- clearAllImmediately
- clearAnimation
- clearLookAt
- clearSecondary
- climb
- climbLadder
- cower
- cruiseWithVehicle
- driveTo
- enterAnyVehicle
- fightAgainst
- fightAgainstHatedTargets
- fleeFrom
- followPointRoute
- followToOffsetFromEntity
- goTo
- goToEntity
- guardCurrentPosition
- handsUp
- jump
- landPlane
- lookAt
- parachuteTo
- parkVehicle
- performSequence
- playAnimation
- putAwayMobilePhone
- putAwayParachute
- reactAndFlee
- reloadWeapon
- shootAt
- shuffleToNextVehicleSeat
- skyDive
- slideTo
- standStill
- startScenario
- swapWeapon
- turnTo
- useMobilePhone
- useParachute
- vehicleChase
- vehicleShootAtPed
- wait
- wanderAround
- warpIntoVehicle
- warpOutOfVehicle
- everyoneLeaveVehicle

## Constructors

### constructor

- new Tasks(ped: Ped): Tasks

- - Defined in Tasks.ts:15

  #### Parameters

  - ##### ped: Ped

  #### Returns Tasks

## Properties

### Private ped

ped: Ped

- Defined in Tasks.ts:13

## Methods

### achieveHeading

- achieveHeading(heading: number, timeout?: number): void

- - Defined in Tasks.ts:19

  #### Parameters

  - ##### heading: number

  - ##### timeout: number = 0

  #### Returns void

### aimAt

- aimAt(target: Vector3 | Entity, duration: number): void

- - Defined in Tasks.ts:23

  #### Parameters

  - ##### target: Vector3 | Entity

  - ##### duration: number

  #### Returns void

### arrest

- arrest(ped: Ped): void

- - Defined in Tasks.ts:29

  #### Parameters

  - ##### ped: Ped

  #### Returns void

### chaseWithGroundVehicle

- chaseWithGroundVehicle(target: Entity): void

- - Defined in Tasks.ts:53

  #### Parameters

  - ##### target: Entity

  #### Returns void

### chaseWithHelicopter

- chaseWithHelicopter(target: Entity, offset: Vector3): void

- - Defined in Tasks.ts:57

  #### Parameters

  - ##### target: Entity

  - ##### offset: Vector3

  #### Returns void

### chaseWithPlane

- chaseWithPlane(target: Entity, offset: Vector3): void

- - Defined in Tasks.ts:61

  #### Parameters

  - ##### target: Entity

  - ##### offset: Vector3

  #### Returns void

### chatTo

- chatTo(ped: Ped): void

- - Defined in Tasks.ts:33

  #### Parameters

  - ##### ped: Ped

  #### Returns void

### clearAll

- clearAll(): void

- - Defined in Tasks.ts:454

  #### Returns void

### clearAllImmediately

- clearAllImmediately(): void

- - Defined in Tasks.ts:458

  #### Returns void

### clearAnimation

- clearAnimation(animDict: string, animName: string): void

- - Defined in Tasks.ts:470

  #### Parameters

  - ##### animDict: string

  - ##### animName: string

  #### Returns void

### clearLookAt

- clearLookAt(): void

- - Defined in Tasks.ts:462

  #### Returns void

### clearSecondary

- clearSecondary(): void

- - Defined in Tasks.ts:466

  #### Returns void

### climb

- climb(): void

- - Defined in Tasks.ts:41

  #### Returns void

### climbLadder

- climbLadder(): void

- - Defined in Tasks.ts:45

  #### Returns void

### cower

- cower(duration: number): void

- - Defined in Tasks.ts:49

  #### Parameters

  - ##### duration: number

  #### Returns void

### cruiseWithVehicle

- cruiseWithVehicle(vehicle: Vehicle, speed: number, drivingstyle?: DrivingStyle): void

- - Defined in Tasks.ts:65

  #### Parameters

  - ##### vehicle: Vehicle

  - ##### speed: number

  - ##### drivingstyle: DrivingStyle = ...

  #### Returns void

### driveTo

- driveTo(vehicle: Vehicle, target: Vector3, radius: number, speed: number, drivingstyle?: DrivingStyle): void

- - Defined in Tasks.ts:73

  #### Parameters

  - ##### vehicle: Vehicle

  - ##### target: Vector3

  - ##### radius: number

  - ##### speed: number

  - ##### drivingstyle: DrivingStyle = ...

  #### Returns void

### enterAnyVehicle

- enterAnyVehicle(seat?: VehicleSeat, timeout?: number, speed?: number, flag?: number): void

- - Defined in Tasks.ts:92

  #### Parameters

  - ##### seat: VehicleSeat = ...

  - ##### timeout: number = -1

  - ##### speed: number = 0

  - ##### flag: number = 0

  #### Returns void

### fightAgainst

- fightAgainst(target: Ped, duration?: number): void

- - Defined in Tasks.ts:100

  #### Parameters

  - ##### target: Ped

  - ##### Optional duration: number

  #### Returns void

### fightAgainstHatedTargets

- fightAgainstHatedTargets(radius: number, duration?: number): void

- - Defined in Tasks.ts:108

  #### Parameters

  - ##### radius: number

  - ##### Optional duration: number

  #### Returns void

### fleeFrom

- fleeFrom(pedOrPosition: Ped | Vector3, duration?: number): void

- - Defined in Tasks.ts:116

  #### Parameters

  - ##### pedOrPosition: Ped | Vector3

  - ##### duration: number = -1

  #### Returns void

### followPointRoute

- followPointRoute(points: Vector3[]): void

- - Defined in Tasks.ts:133

  #### Parameters

  - ##### points: Vector3[]

  #### Returns void

### followToOffsetFromEntity

- followToOffsetFromEntity(target: Entity, offset: Vector3, timeout: number, stoppingRange: number, movementSpeed?: number, persistFollowing?: boolean): void

- - Defined in Tasks.ts:141

  #### Parameters

  - ##### target: Entity

  - ##### offset: Vector3

  - ##### timeout: number

  - ##### stoppingRange: number

  - ##### movementSpeed: number = 1

  - ##### persistFollowing: boolean = true

  #### Returns void

### goTo

- goTo(position: Vector3, ignorePaths?: boolean, timeout?: number, speed?: number): void

- - Defined in Tasks.ts:162

  #### Parameters

  - ##### position: Vector3

  - ##### ignorePaths: boolean = false

  - ##### timeout: number = -1

  - ##### speed: number = 1

  #### Returns void

### goToEntity

- goToEntity(target: Entity, offset?: null | Vector3, timeout?: number): void

- - Defined in Tasks.ts:189

  #### Parameters

  - ##### target: Entity

  - ##### offset: null | Vector3 = null

  - ##### timeout: number = -1

  #### Returns void

### guardCurrentPosition

- guardCurrentPosition(): void

- - Defined in Tasks.ts:206

  #### Returns void

### handsUp

- handsUp(duration: number): void

- - Defined in Tasks.ts:210

  #### Parameters

  - ##### duration: number

  #### Returns void

### jump

- jump(): void

- - Defined in Tasks.ts:37

  #### Returns void

### landPlane

- landPlane(startPosition: Vector3, touchdownPosition: Vector3, plane?: null | Vehicle): void

- - Defined in Tasks.ts:214

  #### Parameters

  - ##### startPosition: Vector3

  - ##### touchdownPosition: Vector3

  - ##### plane: null | Vehicle = null

  #### Returns void

### lookAt

- lookAt(targetOrPosition: Vector3 | Entity, duration?: number): void

- - Defined in Tasks.ts:248

  #### Parameters

  - ##### targetOrPosition: Vector3 | Entity

  - ##### duration: number = -1

  #### Returns void

### parachuteTo

- parachuteTo(position: Vector3): void

- - Defined in Tasks.ts:263

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### parkVehicle

- parkVehicle(vehicle: Vehicle, position: Vector3, heading: number, radius?: number, keepEngineOn?: boolean): void

- - Defined in Tasks.ts:267

  #### Parameters

  - ##### vehicle: Vehicle

  - ##### position: Vector3

  - ##### heading: number

  - ##### radius: number = 20

  - ##### keepEngineOn: boolean = false

  #### Returns void

### performSequence

- performSequence(sequence: TaskSequence): void

- - Defined in Tasks.ts:287

  #### Parameters

  - ##### sequence: TaskSequence

  #### Returns void

### playAnimation

- playAnimation(animDict: string, animName: string, blendInSpeed: number, blendOutSpeed: number, duration: number, playbackRate: number, flags: AnimationFlags): Promise<void>

- - Defined in Tasks.ts:298

  #### Parameters

  - ##### animDict: string

  - ##### animName: string

  - ##### blendInSpeed: number

  - ##### blendOutSpeed: number

  - ##### duration: number

  - ##### playbackRate: number

  - ##### flags: AnimationFlags

  #### Returns Promise<void>

### putAwayMobilePhone

- putAwayMobilePhone(): void

- - Defined in Tasks.ts:424

  #### Returns void

### putAwayParachute

- putAwayParachute(): void

- - Defined in Tasks.ts:420

  #### Returns void

### reactAndFlee

- reactAndFlee(ped: Ped): void

- - Defined in Tasks.ts:332

  #### Parameters

  - ##### ped: Ped

  #### Returns void

### reloadWeapon

- reloadWeapon(): void

- - Defined in Tasks.ts:336

  #### Returns void

### shootAt

- shootAt(targetOrPosition: Ped | Vector3, duration?: number, pattern?: FiringPattern): void

- - Defined in Tasks.ts:340

  #### Parameters

  - ##### targetOrPosition: Ped | Vector3

  - ##### duration: number = -1

  - ##### pattern: FiringPattern = ...

  #### Returns void

### shuffleToNextVehicleSeat

- shuffleToNextVehicleSeat(vehicle: Vehicle): void

- - Defined in Tasks.ts:358

  #### Parameters

  - ##### vehicle: Vehicle

  #### Returns void

### skyDive

- skyDive(): void

- - Defined in Tasks.ts:362

  #### Returns void

### slideTo

- slideTo(position: Vector3, heading: number, duration?: number): void

- - Defined in Tasks.ts:366

  #### Parameters

  - ##### position: Vector3

  - ##### heading: number

  - ##### duration: number = 0.7

  #### Returns void

### standStill

- standStill(duration: number): void

- - Defined in Tasks.ts:370

  #### Parameters

  - ##### duration: number

  #### Returns void

### startScenario

- startScenario(name: string, position: Vector3, heading?: number, duration?: number, sittingScenario?: boolean, teleport?: boolean): void

- - Defined in Tasks.ts:374

  #### Parameters

  - ##### name: string

  - ##### position: Vector3

  - ##### heading: number = 0

  - ##### duration: number = 0

  - ##### sittingScenario: boolean = false

  - ##### teleport: boolean = true

  #### Returns void

### swapWeapon

- swapWeapon(): void

- - Defined in Tasks.ts:395

  #### Returns void

### turnTo

- turnTo(targetOrPosition: Vector3 | Entity, duration?: number): void

- - Defined in Tasks.ts:399

  #### Parameters

  - ##### targetOrPosition: Vector3 | Entity

  - ##### duration: number = -1

  #### Returns void

### useMobilePhone

- useMobilePhone(duration?: number): void

- - Defined in Tasks.ts:416

  #### Parameters

  - ##### duration: number = 1

  #### Returns void

### useParachute

- useParachute(): void

- - Defined in Tasks.ts:412

  #### Returns void

### vehicleChase

- vehicleChase(target: Ped): void

- - Defined in Tasks.ts:428

  #### Parameters

  - ##### target: Ped

  #### Returns void

### vehicleShootAtPed

- vehicleShootAtPed(target: Ped): void

- - Defined in Tasks.ts:432

  #### Parameters

  - ##### target: Ped

  #### Returns void

### wait

- wait(duration: number): void

- - Defined in Tasks.ts:436

  #### Parameters

  - ##### duration: number

  #### Returns void

### wanderAround

- wanderAround(position?: Vector3, radius?: number): void

- - Defined in Tasks.ts:440

  #### Parameters

  - ##### Optional position: Vector3

  - ##### Optional radius: number

  #### Returns void

### warpIntoVehicle

- warpIntoVehicle(vehicle: Vehicle, seat: VehicleSeat): void

- - Defined in Tasks.ts:446

  #### Parameters

  - ##### vehicle: Vehicle

  - ##### seat: VehicleSeat

  #### Returns void

### warpOutOfVehicle

- warpOutOfVehicle(vehicle: Vehicle, flags: LeaveVehicleFlags): void

- - Defined in Tasks.ts:450

  #### Parameters

  - ##### vehicle: Vehicle

  - ##### flags: LeaveVehicleFlags

  #### Returns void

### Static everyoneLeaveVehicle

- everyoneLeaveVehicle(vehicle: Vehicle): void

- - Defined in Tasks.ts:96

  #### Parameters

  - ##### vehicle: Vehicle

  #### Returns void

Generated using TypeDoc